<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:layout_marginEnd="8dp"
    android:paddingBottom="8dp">

    <View
        android:id="@+id/v_background"
        android:layout_width="0dp"
        android:layout_height="36dp"
        android:layout_marginTop="8dp"
        android:background="@drawable/bg_shape_content_label_lane_item"
        app:layout_constraintEnd_toEndOf="@id/space"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.gh.gamecenter.feature.view.GameIconView
        android:id="@+id/iv_icon"
        android:layout_width="24dp"
        android:layout_height="24dp"
        android:layout_marginStart="8dp"
        app:gameIconBorderColor="@color/resource_border"
        app:gameIconBorderWidth="0.5dp"
        app:gameIconCornerRadius="6dp"
        app:layout_constraintBottom_toBottomOf="@id/v_background"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/v_background" />

    <TextView
        android:id="@+id/tv_title"
        style="@style/TextBody2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="4dp"
        android:textColor="@color/text_primary"
        app:layout_constraintBottom_toBottomOf="@id/iv_icon"
        app:layout_constraintStart_toEndOf="@id/iv_icon"
        app:layout_constraintTop_toTopOf="@id/iv_icon"
        app:layout_goneMarginStart="8dp"
        tools:text="七日世界" />

    <TextView
        android:id="@+id/tv_sub_title"
        style="@style/TextCaption2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textColor="@color/primary_theme"
        app:layout_constraintBottom_toBottomOf="@id/tv_title"
        app:layout_constraintStart_toEndOf="@id/tv_title"
        app:layout_constraintTop_toTopOf="@id/tv_title"
        tools:text=" · 超自然开放世界生存" />

    <Space
        android:id="@+id/space"
        android:layout_width="1dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="8dp"
        app:layout_constraintStart_toEndOf="@id/tv_sub_title" />

    <View
        android:id="@+id/v_bubble_background"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@drawable/bg_shape_background_content_label_lane_item_bubble"
        app:layout_constraintBottom_toBottomOf="@id/fl_bubble_container"
        app:layout_constraintEnd_toEndOf="@id/fl_bubble_container"
        app:layout_constraintStart_toStartOf="@id/fl_bubble_container"
        app:layout_constraintTop_toTopOf="@id/fl_bubble_container" />

    <FrameLayout
        android:id="@+id/fl_bubble_container"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        android:background="@drawable/bg_shape_content_label_lane_item_bubble_white">

        <TextView
            android:id="@+id/tv_bubble"
            style="@style/TextAnnotation1"
            android:layout_width="wrap_content"
            android:layout_height="16dp"
            android:background="@drawable/bg_shape_content_label_lane_item_bubble"
            android:gravity="center"
            android:paddingHorizontal="8dp"
            android:textColor="#2496FF"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="奇迹之海提前上线" />
    </FrameLayout>


    <androidx.constraintlayout.widget.Group
        android:id="@+id/g_bubble"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:constraint_referenced_ids="v_bubble_background,fl_bubble_container" />
</androidx.constraintlayout.widget.ConstraintLayout>